Jump to: navigation, search

Org.eclipse.equinox.common in P2

Revision as of 04:13, 4 October 2007 by Carlos.apache.org (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
    <org.eclipse.equinox.p2.metadata.InstallableUnit>
      <id>org.eclipse.equinox.common</id>
      <version>3.3.0.v20070426</version>
      <singleton>true</singleton>
      <properties>
        <propertyMap>
          <entry>
            <string>equinox.p2.update.from</string>
            <string>org.eclipse.equinox.common</string>
          </entry>
          <entry>
            <string>equinox.p2.update.range</string>
            <string>0.0.0</string>
          </entry>
          <entry>
            <string>equinox.p2.name</string>
            <string>%pluginName</string>
          </entry>
          <entry>
            <string>equinox.p2.provider</string>
            <string>%providerName</string>
          </entry>
        </propertyMap>
      </properties>
      <artifacts>
        <org.eclipse.equinox.internal.p2.metadata.ArtifactKey>
          <namespace>eclipse</namespace>
          <id>org.eclipse.equinox.common</id>
          <classifier>plugin</classifier>
          <version>3.3.0.v20070426</version>
        </org.eclipse.equinox.internal.p2.metadata.ArtifactKey>
      </artifacts>
      <touchpointType>
        <id>eclipse</id>
        <versionObject reference="../../../org.eclipse.equinox.p2.metadata.InstallableUnit/touchpointType/versionObject"/>
        <version>1.0.0</version>
      </touchpointType>
      <immutableTouchpointData>
        <instructions>
          <entry>
            <string>manifest</string>
            <string>Bundle-Activator: org.eclipse.core.internal.runtime.Activator
Manifest-Version: 1.0
Bundle-Vendor: %providerName
Bundle-RequiredExecutionEnvironment: CDC-1.0/Foundation-1.0,J2SE-1.3
Import-Package: org.eclipse.osgi.framework.log,org.eclipse.osgi.service.datalocation,org.eclipse.osgi.service.debug,org.eclipse.osgi.service.localization,org.eclipse.osgi.service.urlconversion,org.osgi.service.url,org.eclipse.osgi.util,org.osgi.framework,org.osgi.service.packageadmin,org.osgi.util.tracker
Eclipse-LazyStart: true
Ant-Version: Apache Ant 1.7.0
Bundle-Name: %pluginName
Export-Package: org.eclipse.core.internal.runtime;x-friends:="org.eclipse.core.contenttype,org.eclipse.core.jobs,org.eclipse.equinox.preferences,org.eclipse.equinox.registry,org.eclipse.core.runtime,org.eclipse.core.runtime.compatibility"; common="split"; mandatory:="common",org.eclipse.core.internal.boot;x-friends:="org.eclipse.core.resources,org.eclipse.core.runtime.compatibility,org.eclipse.pde.build",org.eclipse.core.runtime; common="split"; mandatory:="common"
Created-By: 1.4.2 (IBM Corporation)
Bundle-Version: 3.3.0.v20070426
eclipse.p2.bundle.format: jar
Bundle-ManifestVersion: 2
Bundle-Localization: plugin
Bundle-SymbolicName: org.eclipse.equinox.common; singleton:=true
</string>
          </entry>
        </instructions>
      </immutableTouchpointData>
      <requires>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.osgi.framework.log</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.osgi.service.datalocation</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.osgi.service.debug</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.osgi.service.localization</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.osgi.service.urlconversion</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.osgi.service.url</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.eclipse.osgi.util</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.osgi.framework</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.osgi.service.packageadmin</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
        <org.eclipse.equinox.p2.metadata.RequiredCapability>
          <multiple>false</multiple>
          <name>org.osgi.util.tracker</name>
          <namespace>osgi.packages</namespace>
          <optional>false</optional>
          <selectors/>
        </org.eclipse.equinox.p2.metadata.RequiredCapability>
      </requires>
      <applicabilityFilter></applicabilityFilter>
      <providedCapabilities>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.core.internal.runtime</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.core.internal.boot</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>osgi.packages</namespace>
          <name>org.eclipse.core.runtime</name>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
        <org.eclipse.equinox.p2.metadata.ProvidedCapability>
          <namespace>org.eclipse.equinox.p2.eclipsetouchpoint.types</namespace>
          <name>bundle</name>
          <version>1.0.0</version>
        </org.eclipse.equinox.p2.metadata.ProvidedCapability>
      </providedCapabilities>
    </org.eclipse.equinox.p2.metadata.InstallableUnit>